Description

This patch updates `Issue#relations` method to efficiently fetch both `relations_from` and `relations_to` using a single ActiveRecord

query. This optimization reduces database calls and improves performance.

Before:

  IssueRelation Load (0.2ms)  SELECT "issue_relations".* FROM "issue_relations" WHERE "issue_relat

ions"."issue_from_id" = $1  [["issue_from_id", 1]]

  ↳ app/models/issue.rb:1169:in `relations'

  IssueRelation Load (0.5ms)  SELECT "issue_relations".* FROM "issue_relations" WHERE "issue_relat

ions"."issue_to_id" = $1  [["issue_to_id", 1]]

  ↳ app/models/issue.rb:1169:in `relations'

 After:

  IssueRelation Load (0.7ms)  SELECT "issue_relations".* FROM "issue_relations" WHERE (issue_to_id

 = 1 OR issue_from_id = 1)

  ↳ app/models/issue.rb:1171:in `sort'

Associated revisions

Revision 22572 - 2023-12-28 01:10 - Go MAEDA

Optimize `Issue#relations` method to improve performance by fetching both `relations_from` and `relations_to` using a single database query

(#39840).

Patch by Go MAEDA (@maeda).

History

#1 - 2023-12-25 15:23 - Go MAEDA

- Target version set to 6.0.0

#2 - 2023-12-28 01:11 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

Committed the patch in r22572.
